import 'package:rxdart/rxdart.dart';

extension StreamDartExt<T> on Stream<T> {
  Stream<T> distinctType() => distinct((bef, aft) => bef.runtimeType == aft.runtimeType);
  Stream<T> dumpErrorToConsoleDart() => doOnError((error, stackTrace) {
        print(error);
        print(stackTrace);
      });
}

extension FutureDartExt<T> on Future<T> {
  Future<T> dumpErrorToConsoleDart() => catchError((error, stackTrace) {
        print(error);
        print(stackTrace);
      });
}
